频道栏目
首页 > 安全 > 网站安全 > 正文

MyBB MYPS插件username参数跨站脚本执行漏洞

2010-01-03 00:00:39           
收藏   我要投稿

影响版本:
MyBB 1.4.10漏洞描述:

MyBB是一款流行的Web论坛程序。

如果将action设置为donate的话,MyBB的MYPS插件没有正确地过滤提交给myps.php页面的username参数便返回给了用户,远程攻击者可以通过提交恶意请求执行跨站脚本攻击,导致在用户浏览器会话中执行任意HTML和脚本代码。

<*参考
Steven Abbagnaro (Steve@ProminentSecurity.com
http://secunia.com/advisories/37910/
*>
测试方法:

本站提供程序(方法)可能带有攻击性,仅供安全研究与教学之用,风险自负!http://server/myps.php?action=donate&username="/> 
http://server/myps.php?action=donate&username=<IMG""">"> 
http://server/myps.php?action=donate&username=

安全建议:
厂商补丁:

MyBB
----
目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:

http://www.mybboard.com/

上一篇:WD-CMS 3.0 Multiple Vulnerabilities
下一篇:php+mysql注射语句构造技术
相关文章
图文推荐
文章
推荐
热门新闻

关于我们 | 联系我们 | 广告服务 | 投资合作 | 版权申明 | 在线帮助 | 网站地图 | 作品发布 | Vip技术培训 | 举报中心

版权所有: 红黑联盟--致力于做实用的IT技术学习网站